## nagios-plugins-contrib 25.20191015+1ubuntu1

=== check_hp_bladechassis/Makefile ===
PLUGIN := check_hp_bladechassis
MANPAGES := check_hp_bladechassis.8

CLEANFILES := check_hp_bladechassis check_hp_bladechassis.8

include ../common.mk


check_hp_%: src/check_hp_%
	cp $< $@

=== check_memcached/Makefile ===
#/usr/bin/make -f
CLEANFILES = check_memcached check_memcached.c
LIBS += $(shell pkg-config --libs libmemcached) -lpthread

include ../common.mk


check_memcached: check_memcached.o
	$(CC) $(LDFLAGS) -o $@ $< $(LIBS)

=== check_snmp_environment/Makefile ===
PLUGIN := check_snmp_environment
CLEANFILES := check_snmp_environment

include ../common.mk

check_snmp_environment: check_snmp_environment.pl
	cp $< $@
	chmod 755 $@

=== check_ssl_cert/check_ssl_cert_1.98.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check formatting_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep --quiet "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep --quiet "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep --quiet -- "- $(VERSION)-" $(PLUGIN).spec
	grep --quiet "\"$(VERSION)\"" $(PLUGIN).1
	grep --quiet "${VERSION}" NEWS
	echo "Version check: OK"

formatting_check:
	grep --invert-match --quiet '\\t' check_ssl_cert test/unit_tests.sh

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

shellcheck:
	if shellcheck --help 2>&1 | grep --quiet -- '-o\ ' ; then shellcheck -o all check_ssl_cert test/unit_tests.sh ; else shellcheck check_ssl_cert test/unit_tests.sh ; fi

copyright_check:
	grep --quiet "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep --quiet "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep --quiet "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/changelog ===
nagios-plugins-contrib (25.20191015+1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 17:02:33 +0200

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               dh-python,
               python-all,
               python-debian,
               quilt (>= 0.46-7),
               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
Standards-Version: 4.4.1.0
Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib

Package: nagios-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
            ${perl:Depends},
            ${python:Depends},
            ${shlibs:Depends}
Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python2.7, python-pymongo
Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_debsecan (1.0.0): plugin to check the Debian CVE lists against your installed packages
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin to check the HAProxy statistics url
   * check_haproxy_stats (1.0.1): check haproxy via admin socket
     Different from check_haproxy this plugin is able to check
     haproxy via the unix admin socket.
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.8): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev204): plugin checking Apache or Lighthttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.13): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs (0.2015012901): plugin to report the usage of no longer existing
     libraries by running processes
   * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
      depents on kernel features present in kernels newer than 3.3
   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
   * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_memory (1.0.1): plugin to check for free memory
     This plugin excludes the system cache and buffer, because
     on some system with very stable memory usage it is perfectly
     normal for system cache to fill in all available memory.
   * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.4.7): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.2.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (4.0.9): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
     - Detecting SCSI devices or hosts with lsscsi
   * check_rbl (1.5.0): plugin to check if a server is blacklisted
   * check_redis (0.73): Redis Server check plugin
     This plugin checks Redis NoSQL database status variables,
     measures its response time and if specified allows one to set thresholds
     on one or more key data. You can set thresholds for data in stats
     variables and some of them are also conveniently available as long options
     with special threshold syntax. Plugin also calculates statistics such as
     Hitrate (calculated as rate of change of hits/misses) and memory use and
     can check replication delay.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (1.98.0): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.24): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
     signatures in dnssec-enabled zones.
   * dsa (2300473): plugins from the Debian System Administrators
     nagios plugins repository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PKGNAME = nagios-plugins-contrib
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

%:
	dh $@ --with quilt,python2

override_dh_auto_build:
	dh_auto_build
	$(PACKAGING_HELPER) --generate-readme

PACKAGING_HELPER = /usr/bin/python2 $(CURDIR)/debian/packaging-helper.py


clean: debian/copyright debian/control debian/tests/control
	dh $@ --with quilt,python2
	rm -f debian/README.Debian.plugins

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
TESTS_FILES := $(wildcard */tests)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/tests/control: debian/packaging-helper.py $(TESTS_FILES)
	$(PACKAGING_HELPER) --tests
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch

=== debian/tests/control ===
Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
Restrictions: needs-root, breaks-testbed

Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
Restrictions: needs-root, isolation-container

Depends: debsecan, @
Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r

Depends: libnet-dns-perl, @
Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
Restrictions: needs-root, breaks-testbed

Test-Command: /usr/lib/nagios/plugins/check_etc_resolv
Depends: bind9-host | knot-host, @

Depends: apache2, liblocale-gettext-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, liblwp-useragent-determined-perl, @
Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
Restrictions: needs-root, allow-stderr, isolation-container

Depends: lsof, libyaml-syck-perl, @
Test-Command: /usr/lib/nagios/plugins/check_libs

Restrictions: needs-root
Test-Command: /usr/lib/nagios/plugins/check_libs_ng

Depends: openssl, curl, file, @
Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org

Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
Test-Command: /usr/lib/nagios/plugins/check_uptime -f

## nagios-plugins-contrib 27.20200511+1

=== debian/changelog ===
nagios-plugins-contrib (27.20200511+1) unstable; urgency=medium

  * [b6d2915] Fixing tests (again)
  * [9f18634] Auto update of debian/tests/control
  * [28221f3] Auto update of debian/tests/control
  * [da177f3] Remove test from check_libs_ng.
    You never know the state of the system we are running on.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2020 17:08:39 +0200

nagios-plugins-contrib (27.20200511) unstable; urgency=medium

  * [1831f8b] Auto update of debian/control
  * [5612aac] Auto update of debian/copyright
  * [45d41ae] check_libs is now a symlink to check_libs_ng

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2020 17:08:25 +0200

nagios-plugins-contrib (26.20200508) unstable; urgency=medium

  * Major changes:
    - Getting rid of python2 (Closes: #937103)
    - Renaming the package to monitoring-plugins-contrib

  * [360f98c] Add check_chrony
  * [2191f5e] Package check_chrony
  * [d2a2f4b] Migrating check_graphite to python3
  * [43c2d9a] Migrating check_mongodb to python3
  * [76b2a87] Migrating percona-nagios-plugins to python3
  * [c4f0215] Ignore the redhat folder
  * [b832621] Auto update of debian/control
  * [1d1a668] Depend on python3
  * [b84f5ad] Auto update of debian/control
  * [4aa823b] check_email_delivery/check_smtp_send: support hello option
  * [10a786e] Finally rename package to monitoring-plugins-contrib.
  * [17545b1] Auto update of debian/control
  * [7d9ebed] Add copyright for check_chrony
  * [0a22adf] Auto update of debian/copyright
  * [a8421e2] run with python3
  * [9019466] Build-depend on dh-python
  * [382a3a1] Remove postbuild hook from gbp config.
    This breaks the salsa pipeline
  * [16373d9] Change python:Depends to python3:Depends
  * [75808c7] Auto update of debian/control
  * [7ece787] Remove some other traces of the old packagename
  * [bbad322] Really depend on dh-python
  * [0023e4a] Fix lintian overrides
  * [3c21ff1] Auto update of debian/control
  * [390c9b0] Add install file for monitoring-plugins-contrib
  * [ee6b331] fix install file
  * [ba85a02] Remove .travis.yml, add .gitlab-ci.yml
  * [affeee0] check_etc_resolv: no PTR for recursors required
  * [ce5af2c] check_libs_ng: user python3
  * [410817f] Fix autotest commands/dependencies
  * [060b5b1] check_etc_resolv; fix the last change
  * [6c9d917] check_chrony: migrate to python3
  * [6b10aa5] dsa/check_enctropy: convert to python3
  * [f070803] autotest: add check_entropy
  * [00fe45e] Auto update of debian/copyright
  * [0723dbf] Auto update of debian/tests/control

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 08 May 2020 23:52:03 +0200

nagios-plugins-contrib (25.20191015+2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [87cc630] Fix check_haproxy_stats/interpreter patch. (closes: #945272)

  [ Sandro Tosi ]
  * [86796fb] port debian/packaging-helper.py to python3; partially addresses
              #937103

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 22:13:52 -0400

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,25 @@
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
                dh-python,
-               python-all,
-               python-debian,
+               python3, python3-debian,
                quilt (>= 0.46-7),
                autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
 Standards-Version: 4.4.1.0
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
-Package: nagios-plugins-contrib
+Package: monitoring-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
+Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
             ${perl:Depends},
-            ${python:Depends},
+            ${python3:Depends},
             ${shlibs:Depends}
-Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python2.7, python-pymongo
-Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
+Provides: nagios-plugins-contrib
+Replaces: nagios-plugins-contrib (<< 26)
+Breaks: nagios-plugins-contrib (<< 26)
+Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
+Enhances: monitoring-plugins, monitoring-plugins-basic, monitoring-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
  systems like Nagios and Icinga.
@@ -37,6 +39,9 @@
    * check_checksums (20130611): plugin to verify file checksums
      against (local, not 100% secure) lists.
      Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
+   * check_chrony (0.1): chrony NTP server check
+     This plugin is able to check the stratum time difference of a local
+     chronyd instance.
    * check_clamav (1.2): plugin to check for clamav signature freshness
      This script is used to compare the version and signature
      level of the currently running clamd daemon with the latest
@@ -92,8 +97,6 @@
    * check_ipmi_sensor (3.13): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
      voltages, power usage, ...) of a server using IPMI.
-   * check_libs (0.2015012901): plugin to report the usage of no longer existing
-     libraries by running processes
    * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
       depents on kernel features present in kernels newer than 3.3
    * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
@@ -197,5 +200,3 @@
      for a given zone remain in sync.
    * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
      signatures in dnssec-enabled zones.
-   * dsa (2300473): plugins from the Debian System Administrators
-     nagios plugins repository.

## nagios-plugins-contrib 28.20201207

=== check_ssl_cert/check_ssl_cert_1.124.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check formatting_check copyright_check shellcheck
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep --quiet "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep --quiet "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep --quiet -- "- $(VERSION)-" $(PLUGIN).spec
	grep --quiet "\"$(VERSION)\"" $(PLUGIN).1
	grep --quiet "${VERSION}" NEWS
	echo "Version check: OK"

formatting_check:
	grep --invert-match --quiet '\\t' check_ssl_cert test/unit_tests.sh
	grep --invert-match --quiet '[[:blank:]]$$' test/unit_tests.sh AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

shellcheck:
	if shellcheck --help 2>&1 | grep --quiet -- '-o\ ' ; then shellcheck -o all check_ssl_cert test/unit_tests.sh ; else shellcheck check_ssl_cert test/unit_tests.sh ; fi

copyright_check:
	grep --quiet "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep --quiet "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep --quiet "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/changelog ===
nagios-plugins-contrib (28.20201207) unstable; urgency=high

  [ Jan Wagner ]
  * [d42a7cb] Update check_multipath to 0.4.8
  * [f4bc15c] Update check_rbl to 1.5.3
  * [e9aaf9b] Update check_ssl_cert to 1.109.0
  * [4a7c176] Removing dnsbl.inps.de from d/patches/check_rbl/additional_rbls
  * [8c8a770] Update check_ssl_cert to 1.113.0
  * [713e713] Update check_zone_auth to 1.14
  * [3a81549] Update check-multipath to 0.4.9
  * [f268738] Update check_rbl to 1.5.4
  * [1b75778] Update check_ssl_cert to 1.118.0
  * [7474d54] Update check_ssl_cert to 1.120.0 (Closes: #976218)
  * [e391368] Adding d/p/check_raid/sort_megacli_numerical
  * [9c92bb0] Adding d/p/check_raid/hpacucli_cache_fail
  * [1e9f7cc] Adding d/p/check_raid/fix_unparsed_error_cciss
  * [2569d5b] check_ssl_cert: Update to 1.122.0

  [ Bas Couwenberg ]
  * [da04a15] Update gbp.conf to use --source-only-changes by default.

  [ Jan Wagner ]
  * [ddaed0a] Update check-cert-expire, check-entropy and check-running-kernel
    from upstream
  * [ad756f4] Remove obsolete patch d/p/dsa/python2to3
  * [5965683] Adding '-maxdepth 1' to
    d/p/dsa/check_running_kernel_jessie_centos_fix. (Closes: #878233, #855416),
    Thanks Felix Geyer
  * [a28a09b] d/control.in: Annotate python* build-depends with :native.
    Thanks Helmut Grohne
  * [c7bbb4b] check_memcached/Makefile: Make pkg-config substitutable.
    Thanks Helmut Grohne
  * [3b85926] check_httpd_status/control: Fixing Description (Closes: #955378)
  * [5f4ba99] Adding d/p/check_backuppc/fix_filter to fix filtering.
    (Closes: #865021) Thanks Peter Palfrader

  [ Bas Couwenberg ]
  * [934e279] Bump Standards-Version to 4.5.1, no changes.

  [ Jan Wagner ]
  * [6827b67] check_ssl_cert: Update to 1.124.0
  * [3831382] check_rbl: Update to 1.5.6
  * [f386eb8] Adding d/p/check_email_delivery/fix_tls
    (Closes: #821207, #861814)
  * [73e2ece] Refreshing d/p/check_email_delivery/check_smtp_send-hello
  * [7317610] Adding d/p/check_libvirt/fix_cache_path to create the cache dir
    inside nagios homedir (Closes: #960923)
  * [b2ae7e7] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Mon, 07 Dec 2020 17:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
                dh-python,
-               python3, python3-debian,
+               python3:any, python3-debian:native,
                quilt (>= 0.46-7),
                autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
@@ -92,7 +92,7 @@
        * Raids
      and alerts you if one of these components is faulty or operates
      outside its normal parameters.
-   * check_httpd_status (rev204): plugin checking Apache or Lighthttpd
+   * check_httpd_status (rev204): plugin checking Apache or lighttpd
      server-status page (using mod_status)
    * check_ipmi_sensor (3.13): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
@@ -114,7 +114,7 @@
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
    * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
-   * check_multipath (0.4.7): plugin to monitor the number of available and
+   * check_multipath (0.4.9): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.2.2): plugin to check various parameters of a
      MySQL database
@@ -147,7 +147,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.5.0): plugin to check if a server is blacklisted
+   * check_rbl (1.5.6): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -173,7 +173,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.98.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.124.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -196,7 +196,7 @@
      The plugin may not yet work with all registrars, since their
      output formats differ or there is no expiration date in the
      whois output.
-   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
+   * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
    * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
      signatures in dnssec-enabled zones.

## nagios-plugins-contrib 29.20210204ubuntu2

=== check_ssl_cert/check_ssl_cert_1.135.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check formatting_check copyright_check shellcheck
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

formatting_check:
	grep -v -q '\\t' check_ssl_cert test/unit_tests.sh
	grep -v -q '[[:blank:]]$$' test/unit_tests.sh AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

SHELLCHECK := $(shell command -v shellcheck 2> /dev/null)

shellcheck:
ifndef SHELLCHECK
	echo "No shellcheck installed: skipping test"
else
	if shellcheck --help 2>&1 | grep -q -- '-o\ ' ; then shellcheck -o all check_ssl_cert test/unit_tests.sh ; else shellcheck check_ssl_cert test/unit_tests.sh ; fi
endif

copyright_check:
	grep -q "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/changelog ===
nagios-plugins-contrib (29.20210204ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:00:10 +0000

nagios-plugins-contrib (29.20210204ubuntu1) hirsute; urgency=medium

  * Allow stderr for the ssl check test.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 14 Feb 2021 17:56:23 +0000

nagios-plugins-contrib (29.20210204) unstable; urgency=medium

  * [90f0003] check_ssl_cert: Update to 1.135.0
  * [cf22af1] check_rbl: Update to 1.5.7
  * [c1aab7f] check_multipath: Update to 0.4.11
  * [8742fcd] check_hpasm: Update to 4.8.0.2
  * [fbeb250] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Thu, 04 Feb 2021 08:22:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -80,7 +81,7 @@
    * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
      HP blade enclosures via SNMP.
      The plugin is only tested with the c7000 enclosure.
-   * check_hpasm (4.8): plugin to check the hardware health of
+   * check_hpasm (4.8.0.2): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
      The plugin checks the health of
@@ -114,7 +115,7 @@
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
    * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
-   * check_multipath (0.4.9): plugin to monitor the number of available and
+   * check_multipath (0.4.11): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.2.2): plugin to check various parameters of a
      MySQL database
@@ -147,7 +148,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.5.6): plugin to check if a server is blacklisted
+   * check_rbl (1.5.7): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -173,7 +174,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.124.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.135.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -198,5 +199,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
-     signatures in dnssec-enabled zones.

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# DO NOT HAND HACK - MANAGED BY debian/packaging-helper.py
+#
+#
 Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
 Restrictions: needs-root, breaks-testbed
 
@@ -6,7 +9,7 @@
 Restrictions: needs-root, isolation-container
 
 Depends: debsecan, @
-Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r
+Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r -s sid
 
 Depends: libnet-dns-perl, @
 Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
@@ -19,15 +22,13 @@
 Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
 Restrictions: needs-root, allow-stderr, isolation-container
 
-Depends: lsof, libyaml-syck-perl, @
-Test-Command: /usr/lib/nagios/plugins/check_libs
-
-Restrictions: needs-root
-Test-Command: /usr/lib/nagios/plugins/check_libs_ng
-
-Depends: openssl, curl, file, @
+Depends: ca-certificates, openssl, curl, file, @
 Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org
+Restrictions: allow-stderr
 
 Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_uptime -f
 
+Depends: @
+Test-Command: /usr/lib/nagios/plugins/check_entropy -w 1
+

## nagios-plugins-contrib 31.20210225

=== debian/changelog ===
nagios-plugins-contrib (31.20210225) unstable; urgency=medium

  * [d90c9ca] check_ssl_cert: Update to 1.140.0
  * [2e3f652] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Thu, 25 Feb 2021 19:45:55 +0100

nagios-plugins-contrib (30.20210223) unstable; urgency=medium

  * [e8ad4d9] Move transitional package nagios-plugins-contrib to
    oldlibs/optional per policy 4.0.1.
  * [1d2c802] check_ssl_cert: Update to 1.137.0

 -- Jan Wagner <waja@cyconet.org>  Thu, 04 Feb 2021 10:14:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -174,7 +173,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.135.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.140.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -199,3 +198,4 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
+   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of

## nagios-plugins-contrib 33.20210315

=== debian/changelog ===
nagios-plugins-contrib (33.20210315) unstable; urgency=medium

  * [177eb97] Adding d/p/dsa/check_running_kernel_focal_fix: Fixes issues with
    focal kernels
  * [2162cf9] d/p/dsa/check_running_kernel_jessie_centos_fix: Adding some more
    binary suggestions
  * [c0ca727] check_ssl_cert/tests: adding man to depends
  * [7a73677] check_ssl_cert: Update to 1.143.0
  * [a21a9b7] check_ssl_cert: Update to 1.144.0
  * [36768c5] check_ssl_cert: Update to 1.145.0
  * [7777072] Revert "check_ssl_cert/tests: adding man to depends"
  * [c8f963e] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Thu, 11 Mar 2021 15:45:14 +0100

nagios-plugins-contrib (32.20210311) unstable; urgency=medium

  * [41971bc] check_ssl_cert: Update to 1.142.0
  * [059ebda] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Thu, 25 Feb 2021 21:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -173,7 +173,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.140.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.145.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

## nagios-plugins-contrib 34.20210407+1~bpo10+1

=== debian/changelog ===
nagios-plugins-contrib (34.20210407+1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Jan Wagner <waja@cyconet.org>  Wed, 07 Apr 2021 14:33:48 +0200

nagios-plugins-contrib (34.20210407+1) unstable; urgency=medium

  * [1e227ca] check_ssl_cert: Update to 2.0.1
  * [bb3840a] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Wed, 07 Apr 2021 14:06:43 +0200

nagios-plugins-contrib (34.20210407) unstable; urgency=medium

  * [0b2ec08] dsa/control: Adding lz4 and lzop as recommends
  * [7225f0a] check_ssl_cert: Update to 2.0.0
  * [df85cc7] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Mon, 15 Mar 2021 20:11:40 +0100
